<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdInteraction extends Model
{
    use HasFactory;

    protected $fillable = [
        'ad_id',
        'user_id',
        'interaction_type',
        'device_info',
        'ip_address',
    ];

    /**
     * الإعلان المرتبط بالتفاعل
     */
    public function ad()
    {
        return $this->belongsTo(Ad::class);
    }

    /**
     * المستخدم المرتبط بالتفاعل
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
